import {Calendar, DatePicker} from 'v-calendar';
import components from './components'

const App = {
    el: '#app',
    delimiters: ['[[', ']]'],
    components: {
        ...components,
        ...{
            VCalendar: Calendar,
            VDatepicker: DatePicker
        },
    },

    computed: {
        player() { return window.aircox.player; },
    },

    methods: {
        deleteElements(sel) {
            for(var el of document.querySelectorAll(sel))
                el.parentNode.removeChild(el)
        }
    }
}

export const PlayerApp = {
    el: '#player',
    delimiters: ['[[', ']]'],
    components: {...components},
}

export default App
