import AActionButton from './AActionButton.vue'
import AAutocomplete from './AAutocomplete'
import ACarousel from './ACarousel'
import ADropdown from "./ADropdown"
import AEpisode from './AEpisode'
import AList from './AList'
import APage from './APage'
import APlayer from './APlayer'
import APlaylist from './APlaylist'
import AProgress from './AProgress'
import ASoundItem from './ASoundItem'
import ASwitch from './ASwitch'

import AModal from "./AModal"
import AFileUpload from "./AFileUpload"
import ASelectFile from "./ASelectFile"
import AStatistics from './AStatistics'
import AStreamer from './AStreamer'

import AFormSet from './AFormSet'
import ATrackListEditor from './ATrackListEditor'
import ASoundListEditor from './ASoundListEditor'

/**
 * Core components
 */
export const base = {
    AAutocomplete, ACarousel, ADropdown, AEpisode, AList, APage, APlayer, APlaylist,
    AProgress, ASoundItem, ASwitch,

}

export default base

export const admin = {
    ...base,
    ATrackListEditor
}

export const dashboard = {
    ...base,
    AActionButton, AFileUpload, ASelectFile, AModal,
    AFormSet, ATrackListEditor, ASoundListEditor,
    AStatistics, AStreamer,
}
